/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.twa.filter.wizards;

import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.wizard.Wizard;
import org.eclipse.ui.IImportWizard;
import org.eclipse.ui.IWorkbench;

import benten.twa.filter.handler.ImportHtmlHandler;
import benten.twa.ui.WizardWorkflowJob;

public class ImportHtmlWizard extends Wizard implements IImportWizard {

	private IStructuredSelection selection;
	private ImportHtmlWizardPage2 page2;

	public ImportHtmlWizard() {
	}

	public void init(IWorkbench workbench, IStructuredSelection selection) {
		this.selection = selection;
	}

	@Override
	public boolean performFinish() {
		WizardWorkflowJob job = new WizardWorkflowJob("インポート中...");
		job.setStatus(page2.getStatus());
		job.setHandler(new ImportHtmlHandler());
		job.setCompleteWizardPage(new ImportHtmlWizardPage3());
		job.schedule();
		return true;
	}

	@Override
	public void addPages() {
		addPage(new ImportHtmlWizardPage());
		page2 = new ImportHtmlWizardPage2(selection);
		addPage(page2);
	}
}
